Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044269
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2020-06-03 06:372020-10-15 07:54
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044269: remove GUI rebuild+restart from MMC

DescriptionProject page: http://wiki.openbravo.com/wiki/Projects:MMC_Remove_Rebuild_and_Restart [^]

Context:
MMC windows contain two functionalities in practice
a.) Install, Update, Remove modules with logic inside butler to auto-calculate matching dependencies.
This algorithm to find a 'consistent set of modules' is not available anywhere else.

b.) Rebuild System + Restart tomcat
I put both together and they are just convenient. The same can be done on the command line by usual compilation commands (ant update.database compile.complete.deploy)

Idea:
- Keep a.) as no replacement for this functionality is available and probably requires some longer discussion with more people.
- Remove b.) as just convenience and not longer very useful (see below for reasons)
- If okay do so that will no longer be needed to be supported in upcoming appliance
  - Either by backporting / disabling removal to 20Q1 (which is hopefully good enough release for upcoming Appliance
  - Or by 'telling people is unsupported'


Reasons for removal:
- Not supported outside appliance / cloud
- Not supported with HA (as that simple system has no idea about multiple servers)
- Not supported in Wildfly (or even tried to support)
- Not useful as soon as you use hg/git repos or customized modules (as MMC just overwrites with 'common' published module)
- Complex, fragile on a technical level
  I.e. rebuild + restart the running system from inside itself
- Effort just to keep working in the platform team
For example 19Q1 project to upgrade logging framework itself was quite small but increased by +1 full week just because of problems to keep this b.) above working
- Hidden Complexity in appliance to support this
Appliance since moving to Ubuntu has 2-3 ugly hidden design choices, strange things which are ugly and nobody besides myself even knows/understands (could be fixed but better to remove)
- Ubuntu / Appliance 20.04 changes which will require extra effort for previous item just to keep it working


Reasons to maybe keep:
- Simple to use if you have no idea about command line
- Probably some users exists using it which would be unhappy with us removing the 'convenience 2 click rebuild'
- unknown number of partners / customers 'maybe'
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0045227 closedalostale API change: GUI rebuild+restart from MMC removal 
related to backport 0045228PR20Q4 closedalostale disable GUI rebuild+restart from MMC by default 
causes defect 0045235 closedalostale can't compile translator.helper module 
causes defect 0047236 closedplatform "changes pending" displayed after MMC module install + rebuild 

-  Notes
(0123571)
hgbot (developer)
2020-10-06 11:50

Merge Request created: https://gitlab.com/openbravo/product/dbsm/-/merge_requests/14 [^]
(0123588)
alostale (developer)
2020-10-07 10:46

Main MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/79 [^]
(0123645)
hgbot (developer)
2020-10-09 08:51

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/-/merge_requests/1 [^]
(0123646)
hgbot (developer)
2020-10-09 08:56

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata/-/merge_requests/3 [^]
(0123647)
hgbot (developer)
2020-10-09 09:00

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/3 [^]
(0123648)
hgbot (developer)
2020-10-09 09:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/3 [^]
(0123691)
hgbot (developer)
2020-10-15 07:44

Repository: https://gitlab.com/openbravo/product/dbsm [^]
Changeset: 1b4e372d86ee500d433ec90bff83a6e5967d2bb6
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-10-15T07:42:33+02:00
URL: https://gitlab.com/openbravo/product/dbsm/-/commit/1b4e372d86ee500d433ec90bff83a6e5967d2bb6 [^]

related to FR-44269: removed OBRebuildAppender references

---
M src/org/openbravo/ddlutils/task/BaseDatabaseTask.java
M src/org/openbravo/ddlutils/task/CreateDatabase.java
M src/org/openbravo/ddlutils/task/ImportSampledata.java
---
(0123692)
hgbot (developer)
2020-10-15 07:44

Merge request merged: https://gitlab.com/openbravo/product/dbsm/-/merge_requests/14 [^]
(0123693)
hgbot (developer)
2020-10-15 07:47

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 91d54a5c0457fe6ea58c688a01b11473963ac0c6
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-10-15T07:46:46+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/91d54a5c0457fe6ea58c688a01b11473963ac0c6 [^]

fixed FR-44269: remove rebuild+restart GUI from MMC

Merge branch 'fr/44269-mmc'
MR !79

---
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/RemoveRebuildAppender.class
A src-util/buildvalidation/src/org/openbravo/buildvalidation/RemoveRebuildAppender.java
M build.xml
M config/log4j2.xml.template
M modules/org.openbravo.client.application/src/org/openbravo/client/application/AlertActionHandler.java
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-core/src/org/openbravo/base/AntExecutor.java
M src-core/src/org/openbravo/base/ExecutionLimitBaseProcess.java
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FORM.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.java
M src-util/modulescript/src/org/openbravo/modulescript/CreateMissingQuartzProperties.java
M src/build.xml
M src/org/openbravo/base/session/OBPropertiesProvider.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_forms/TranslationManager.java
M src/org/openbravo/erpCommon/ad_process/ApplyModules.java
M src/org/openbravo/erpCommon/ad_process/ApplyModulesExternal.html
M src/org/openbravo/erpCommon/ad_process/buildStructure/buildStructure.xml
M src/org/openbravo/erpCommon/ad_process/buildStructure/mapping.xml
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree.java
M src/org/openbravo/erpCommon/modules/ModuleTree.java
R src-core/src/org/openbravo/base/BuildTask.java
R src-core/src/org/openbravo/utils/OBRebuildAppender.java
R src-db/database/model/tables/AD_ERROR_LOG.xml
R src-db/database/model/triggers/AD_ERROR_LOG_TRG.xml
R src/org/openbravo/erpCommon/ad_forms/ShowLogFile.html
R src/org/openbravo/erpCommon/ad_forms/ShowLogFile.java
R src/org/openbravo/erpCommon/ad_forms/ShowLogFile.xml
R src/org/openbravo/erpCommon/ad_process/ApplyModules.html
R src/org/openbravo/erpCommon/ad_process/ApplyModules.xml
R src/org/openbravo/erpCommon/ad_process/ApplyModulesCallServlet.java
R src/org/openbravo/erpCommon/ad_process/ApplyModulesResponse.java
R src/org/openbravo/erpCommon/ad_process/RestartTomcat.html
R src/org/openbravo/erpCommon/ad_process/RestartTomcat.xml
R src/org/openbravo/erpCommon/ad_process/RestartingContext.html
R src/org/openbravo/erpCommon/ad_process/RestartingContext.xml
R src/org/openbravo/erpCommon/ad_process/buildStructure/Build.java
R src/org/openbravo/erpCommon/ad_process/buildStructure/BuildMainStep.java
R src/org/openbravo/erpCommon/ad_process/buildStructure/BuildMainStepTranslation.java
R src/org/openbravo/erpCommon/ad_process/buildStructure/BuildStep.java
R src/org/openbravo/erpCommon/ad_process/buildStructure/BuildStepTranslation.java
R src/org/openbravo/erpCommon/ad_process/buildStructure/BuildStepWrapper.java
R src/org/openbravo/erpCommon/ad_process/buildStructure/BuildTranslation.java
R src/org/openbravo/erpCommon/utility/AntExecutor.java
R src/org/openbravo/erpCommon/utility/OBPrintStream.java
R src/org/openbravo/service/system/RestartTomcat.java
---
(0123694)
hgbot (developer)
2020-10-15 07:47

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/79 [^]
(0123695)
hgbot (developer)
2020-10-15 07:49

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/ci/backoffice-api [^]
Changeset: 8d4b22f60eb7f711f64ff2c68893881e03f84b83
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-10-15T07:37:04+02:00
URL: https://gitlab.com/openbravo/ci/backoffice-api/-/commit/8d4b22f60eb7f711f64ff2c68893881e03f84b83 [^]

fixed ISSUE-44269: GUI rebuild+restart from MMC removal

DB + AD:
* AD_Error_Log table with it's AD components (ad_table, ad_column and ad_element).
* Apply Modules process and it's model object and mapping.
* ExternalRebuild preference

Java:
* class org.openbravo.base.BuildTask
* class org.openbravo.erpCommon.ad_forms.ShowLogFile
* class org.openbravo.erpCommon.ad_process.ApplyModulesCallServlet
* class org.openbravo.erpCommon.utility.AntExecutor
* class org.openbravo.model.ad.system.ErrorLog
* class org.openbravo.service.system.RestartTomcat
* class org.openbravo.utils.OBRebuildAppender
* method org.openbravo.base.AntExecutor.closeLogFile()
* method org.openbravo.base.AntExecutor.setLogFileAndListener(java.lang.String)
* method org.openbravo.erpCommon.ad_forms.ModuleManagement.canRebuildFromMMC()
* method org.openbravo.erpCommon.ad_process.ApplyModules.getBuildFromXMLFile()
* method org.openbravo.erpCommon.ad_process.ApplyModules.getBuildTranslationFromFile(java.lang.String)

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_COLUMN.xml
M model/src-db/database/sourcedata/AD_ELEMENT.xml
M model/src-db/database/sourcedata/AD_MESSAGE.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_REF_LIST.xml
M model/src-db/database/sourcedata/AD_TABLE.xml
M model/src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R model/src-db/database/model/tables/AD_ERROR_LOG.xml
R model/src-db/database/model/triggers/AD_ERROR_LOG_TRG.xml
---
(0123698)
hgbot (developer)
2020-10-15 07:53

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata/-/merge_requests/3 [^]
(0123699)
hgbot (developer)
2020-10-15 07:53

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata [^]
Changeset: d42d37f58a1815bbc4f0d36b321599576cecec0f
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-10-09T08:56:00+02:00
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata/-/commit/d42d37f58a1815bbc4f0d36b321599576cecec0f [^]

related to FR-44269: remove rebuild+restart GUI from MMC

Removed access to Apply Modules process

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0123700)
hgbot (developer)
2020-10-15 07:53

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata [^]
Changeset: 3f47b950ff115098a12f872f5fb6600fb0ea6252
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-10-09T09:06:55+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/commit/3f47b950ff115098a12f872f5fb6600fb0ea6252 [^]

related to FR-44269: remove rebuild+restart GUI from MMC

Removed access to Apply Modules process

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
---
(0123701)
hgbot (developer)
2020-10-15 07:53

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/3 [^]
(0123702)
hgbot (developer)
2020-10-15 07:54

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata [^]
Changeset: f69cc68f92abd9321d2e559890a05878cedff95e
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-10-09T09:03:23+02:00
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/commit/f69cc68f92abd9321d2e559890a05878cedff95e [^]

related to FR-44269: remove rebuild+restart GUI from MMC

Removed access to Apply Modules process

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
---
(0123703)
hgbot (developer)
2020-10-15 07:54

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.warehouse.advancedwarehouseoperations.sampledata [^]
Changeset: 88da105b69d9b6a2a27947fc38cc4e21ebade208
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-10-09T08:51:02+02:00
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/-/commit/88da105b69d9b6a2a27947fc38cc4e21ebade208 [^]

related to FR-44269: remove rebuild+restart GUI from MMC

Removed access to Apply Modules process

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
---
(0123704)
hgbot (developer)
2020-10-15 07:54

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/3 [^]
(0123705)
hgbot (developer)
2020-10-15 07:54

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/-/merge_requests/1 [^]

- Issue History
Date Modified Username Field Change
2020-06-03 06:37 alostale New Issue
2020-06-03 06:37 alostale Assigned To => platform
2020-06-03 06:37 alostale Modules => Core
2020-06-03 06:37 alostale Triggers an Emergency Pack => No
2020-10-06 11:50 hgbot Note Added: 0123571
2020-10-07 10:46 alostale Note Added: 0123588
2020-10-07 10:46 alostale Assigned To platform => alostale
2020-10-07 10:53 alostale Description Updated View Revisions
2020-10-09 08:51 hgbot Note Added: 0123645
2020-10-09 08:56 hgbot Note Added: 0123646
2020-10-09 09:00 hgbot Note Added: 0123647
2020-10-09 09:07 hgbot Note Added: 0123648
2020-10-15 07:28 alostale Relationship added depends on 0045227
2020-10-15 07:44 hgbot Note Added: 0123691
2020-10-15 07:44 hgbot Note Added: 0123692
2020-10-15 07:47 hgbot Resolution open => fixed
2020-10-15 07:47 hgbot Status new => closed
2020-10-15 07:47 hgbot Fixed in Version => PR21Q1
2020-10-15 07:47 hgbot Note Added: 0123693
2020-10-15 07:47 hgbot Note Added: 0123694
2020-10-15 07:49 hgbot Note Added: 0123695
2020-10-15 07:53 hgbot Note Added: 0123698
2020-10-15 07:53 hgbot Note Added: 0123699
2020-10-15 07:53 hgbot Note Added: 0123700
2020-10-15 07:53 hgbot Note Added: 0123701
2020-10-15 07:54 hgbot Note Added: 0123702
2020-10-15 07:54 hgbot Note Added: 0123703
2020-10-15 07:54 hgbot Note Added: 0123704
2020-10-15 07:54 hgbot Note Added: 0123705
2020-10-15 08:07 alostale Relationship added related to 0045228
2020-10-16 13:29 alostale Relationship added causes 0045235
2021-06-29 00:19 dmitry_mezentsev Relationship added causes 0047236


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker